dpkg-parsechangelog(1)

NOM
dpkg-parsechangelog - Analyser un fichier changelog Debian.

SYNOPSIS
dpkg-parsechangelog [option...]

DESCRIPTION
dpkg-parsechangelog lit et fait l'analyse du fichier « changelog » d'une arborescence source dépaquetée et affiche les informations qu'il contient sur la sortie standard et sous une forme lisible par la machine.

OPTIONS

-lfichier-des-changements
    Specifies the changelog file to read information from. A '-' can be used to specify reading from standard input. The default is debian/changelog.

-Fformat-du-fichiers-des-changements
    Indique le format du fichier changelog. Par défaut, c'est une ligne spéciale, près de la fin du fichier, qui l'indique ; sinon, on utilise le format classique debian. Voir aussi FORMATS DES FICHIERS DE CHANGEMENTS.

-Lrep_lib
    Spécifie un répertoire supplémentaire pour la recherche de scripts d'analyse. Ce répertoire est examiné avant les répertoires par défaut qui sont /usr/local/lib/dpkg/parsechangelog et /usr/lib/dpkg/parsechangelog.

-S, --show-field field
    Specifies the name of the field to show (since dpkg 1.17.0). The field name is not printed, only its value.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

  Options de filtrage
The following options can be used to influence the output of the changelog parser, e.g. the range of entries or the format of the output. They need to be supported by the parser script in question. See also NOTES.

--file file
    Set the changelog filename to parse. Default is '-' (standard input).

-l, --label file
    Set the name of the changelog file to use in error messages, instead of using the name from the --file option, or its default value.

--format format-de-sortie
    Règle le format de sortie. Actuellement les valeurs gérées sont dpkg et rfc822. dpkg est le format classique de sortie (avant que cette option n'existe) et l'option par défaut. Il se compose d'un paragraphe dans le format du fichier de contrôle Debian (voir deb-control(5)). Si plus d'une entrée est demandée, alors la plupart des champs sont tirés de l'entrée la plus récente, sauf si c'est indiqué autrement.

    Source: nom-du-paquet

    Version: version

    Distribution: distribution-cible

    Urgency: priorité
        L'urgence la plus élevée de toutes les entrées incluses est utilisée, suivie par les commentaires concaténés et séparés par une espace pour toutes les versions demandées.

    Maintainer: auteur

    Date: date

    Closes: numéro-bogue
        Les champs « Closes » de toutes les entrées incluses sont fusionnés.

    Changes: entrées-du-fichier-des-changements
        Le texte de toutes les entrées de changelog est concaténé. Pour faire de ce champ un champ de contrôle Debian valide, les lignes multiples qui sont vides sont remplacées par un point "." et toutes les lignes sont intentées par un seul espace. Le contenu exact dépend du format du changelog.

    Les champs Version, Distribution, Urgency, Maintainer et Changes sont obligatoires.

    Il est possible d'avoir d'autres champs qui sont définis par l'utilisateur.

    Le format rfc822 utilise les mêmes champs mais le résultat est un paragraphe distinct pour chaque entrée du changelog afin que toutes les métadonnées de chaque entrée soit préservées.

--since version, -sversion, -vversion
    inclut tous les changements qui ont suivi la version.

--until version, -uversion
    inclut tous les changements qui ont eu lieu avant la version.

--from version, -fversion
    inclut tous les changements depuis la version (incluse).

--to version, -tversion
    inclut tous les changements apportés jusqu'à la version comprise.

--count nombre, -cnombre, -nnombre
    inclut ce nombre d'entrées depuis le début (ou la fin si le nombre est inférieur à 0).

--offset nombre, -onombre
    change the starting point for --count, counted from the top (or the tail if number is lower than 0).

--all
    inclut toutes les modifications. Note : d'autres options deviennent sans effet lorsque celle-ci est utilisée.

FORMATS DE JOURNAUX DE MODIFICATIONS
Il est possible d'utiliser un format différent de celui utilisé habituellement, en fournissant un analyseur pour le format alternatif. Afin que dpkg-parsechangelog utilise le nouvel analyseur, il doit exister une ligne, parmi les 40 dernières du fichier, qui corresponde à l'expression régulière Perl “\schangelog-format:\s+([0-9a-z]+)\W (la partie entre parenthèses doit être le nom du format). Exemple :
       @@@ changelog-format: autreformat @@@ Les noms de formats de journaux de modifications sont des chaînes non vides de caractères alphanumériques. Si une telle ligne existe, dpkg-parsechangelog recherchera l'analyseur sous les noms /usr/lib/dpkg/parsechangelog/autreformat ou /usr/local/lib/dpkg/parsechangelog/autreformat ; si aucun de ces fichiers n'est présent et exécutable, c'est une condition d'erreur. Le format de journaux des modifications par défaut est debian et un analyseur pour ce format est fourni par défaut. L'analyseur est invoqué avec le journal des modifications sur l'entrée standard en commençant à sa première ligne. Il doit lire le fichier (et y accéder) pour déterminer les informations nécessaires, puis retourner les informations analysées sur la sortie standard dans le format indiqué par l'option --format. Il doit accepter toutes les Options d'analyse. Si le format du journal des modifications analysé laisse toujours ou presque une ligne blanche entre chaque changement, ces lignes blanches devraient être retirées, afin de rendre l'affichage de sortie plus compact. Si le journal des modifications ne contient pas d'informations de date ou de nom de paquet, cette information doit être omise de l'affichage. L'analyseur ne doit pas essayer de les calculer ou de les retrouver depuis d'autres sources. Si le journal des modifications n'utilise pas le format attendu, l'analyseur doit se terminer avec un état de sortie non nul, plutôt que d'essayer de s'en tirer comme il peut et produire une sortie incorrecte. Un analyseur de journal de modifications ne doit pas du tout interagir avec l'utilisateur.

NOTES
All Parser Options except for -v are only supported since dpkg 1.14.16. Third party parsers for changelog formats other than debian might not support all options.

FICHIERS

debian/changelog
    Le journal des modifications ; on s'en sert pour connaître les informations qui dépendent d'une version du paquet source, par exemple l'urgence ou la distribution d'une installation sur le serveur, les modifications faites depuis telle édition et le numéro de la version source lui-même.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.